Bug 43397 - [BREWMP] Define htonl, htons, ntohl and ntohs
Summary: [BREWMP] Define htonl, htons, ntohl and ntohs
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: Other Other
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 33564
  Show dependency treegraph
 
Reported: 2010-08-02 19:06 PDT by Kwang Yul Seo
Modified: 2010-09-01 10:10 PDT (History)
2 users (show)

See Also:


Attachments
Patch (1.21 KB, patch)
2010-08-02 19:10 PDT, Kwang Yul Seo
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kwang Yul Seo 2010-08-02 19:06:23 PDT
In BREWMP, AEEStdLib.h provides macros for byte order conversion: HTONL, HTONS, NTOHL and NTOHS. Use these macros to define htonl, htons, ntohl and ntohs used by WOFFFileFormat.cpp.
Comment 1 Kwang Yul Seo 2010-08-02 19:10:09 PDT
Created attachment 63287 [details]
Patch
Comment 2 Hajime Morrita 2010-08-04 23:13:01 PDT
Although I'm not a reviewer, the patch looks no problem. It's small, limited impact, and trivial.
Hopes someone to just r+ this.
Comment 3 WebKit Commit Bot 2010-08-05 00:37:02 PDT
Comment on attachment 63287 [details]
Patch

Clearing flags on attachment: 63287

Committed r64720: <http://trac.webkit.org/changeset/64720>
Comment 4 WebKit Commit Bot 2010-08-05 00:37:06 PDT
All reviewed patches have been landed.  Closing bug.